/*
 * Proyecto: MemBrowse
 * Fichero: Form1.prg
 * Descripcin:
 * Autor:
 * Fecha: 08/04/2021
 */

#include "Xailer.ch"

CLASS TForm1 FROM TForm

   COMPONENT oBevel1
   COMPONENT oDbBrowseMod1
   COMPONENT oMemDataSet1
   COMPONENT oBtnFilter
   COMPONENT oBtnDelete
   COMPONENT oBtnEdit

   METHOD CreateForm()
   METHOD FormInitialize( oSender )
   METHOD ButtonFilterClick( oSender )
   METHOD BtnDeleteClick( oSender )
   METHOD BtnEditClick( oSender )

ENDCLASS

#include "Form1.xfm"

//------------------------------------------------------------------------------

METHOD FormInitialize( oSender ) CLASS TForm1
   LOCAL aDir:=Directory("*.*","D"), nItem:=0
   FOR nItem:=1 TO len(aDir)
      aDir[nItem]:=ASize(aDir[nItem],7)
      aDir[nItem,6]:=aDir[nItem,5]="D"
      aDir[nItem,7]:=1
   Next

   ::oMemDataSet1:Open( aDir, {"Name", "Length", "Date", "Time", "Type", "Directory", "DeAcuerdo"} )

   ::oDbBrowseMod1:lAllowAppend := .F.

RETURN Nil

//------------------------------------------------------------------------------

METHOD ButtonFilterClick( oSender ) CLASS TForm1

   with object ::oDbBrowseMod1
      :lFilterBar := ! :lFilterBar
   end with

RETURN Nil

//------------------------------------------------------------------------------

METHOD BtnDeleteClick( oSender ) CLASS TForm1

   //::oDbBrowseMod1:Delete()
   ::oMemDataSet1:Delete()

RETURN Nil

//------------------------------------------------------------------------------

METHOD BtnEditClick( oSender ) CLASS TForm1
   ::oMemDataSet1:Edit()
RETURN Nil

//------------------------------------------------------------------------------

